/* 
 * TAD 3x3 Matrix
 * Marcelo Gattass
 * May20,2006
 */

double m3Det(double* A);                            /* computes the determinant of the matrix [A]     */
double m3Inv( double* A, double* Ainv );            /* computes the inverse,[Ainv], of the matrix [A] */ 
void m3MultAB(double* A, double* B, double* AB);    /* computes the matrix product [AB]=[A][B]        */
void m3MultAb(double* A, double* b, double* x);     /* computes the transformation {x}=[A]{b}         */
double m3SolvAxb(double* A, double* b, double* x);  /* computes the solution of [A]{x}={b}            */
void m3PrintMat(char* text,double* A);              /* print in the console the matrix [A]            */
void m3PrintVet(char* text,double* v);              /* print in the console the vector {v}            */
